// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package threads_account

import (
	"net/http"

	"haixun-backend/internal/logic/threads_account"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func ListThreadsAccountsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := threads_account.NewListThreadsAccountsLogic(r.Context(), svcCtx)
		data, err := l.ListThreadsAccounts()
		response.Write(r.Context(), w, data, err)
	}
}
